

Fix a compile warning with the 32-bit dev_t patch


 fs/xfs/linux/xfs_super.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/xfs/linux/xfs_super.c~xfs-dev_t-warning-fix fs/xfs/linux/xfs_super.c
--- 25/fs/xfs/linux/xfs_super.c~xfs-dev_t-warning-fix	2003-04-03 01:43:51.000000000 -0800
+++ 25-akpm/fs/xfs/linux/xfs_super.c	2003-04-03 01:46:20.000000000 -0800
@@ -447,8 +447,8 @@ xfs_setsize_buftarg(
 
 	if (set_blocksize(btp->pbr_bdev, sectorsize)) {
 		printk(KERN_WARNING
-			"XFS: Cannot set_blocksize to %u on device 0x%x\n",
-			sectorsize, btp->pbr_dev);
+			"XFS: Cannot set_blocksize to %u on device 0x%lx\n",
+			sectorsize, (long)btp->pbr_dev);
 	}
 }
 

_
